<!-- Define the HTML document with Thymeleaf and layout namespaces -->
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="layouts/defaultTemplate">

<body>
	<!-- Content fragment for the layout -->
	<div layout:fragment="content">
		<!-- Form for logging in, with action mapped to the 'doLogin' endpoint -->
		<form action="#" th:action="@{doLogin}" th:object="${loginModel}" method="post" class="p-[18rem]">
			<table>
				<!-- Username field row -->
				<tr class="input input-bordered flex items-center gap-2">
					<td>Username:</td>
					<td>
						<!-- Input field bound to 'username' from the 'loginModel' object -->
						<input type="text" th:field="*{username}">
					</td>
					<td>
						<!-- Display validation error message for 'username' if present -->
						<h5 style="color: red" th:if="${#fields.hasErrors('username')}" th:errors="*{username}">Username Error</h5>
					</td>
				</tr>
				<!-- Password field row -->
				<tr class="input input-bordered flex items-center gap-2">
					<td>Password:</td>
					<td>
						<!-- Input field bound to 'password' from the 'loginModel' object -->
						<input type="password" th:field="*{password}">
					</td>
					<td>
						<!-- Display validation error message for 'password' if present -->
						<h5 style="color: red" th:if="${#fields.hasErrors('password')}" th:errors="*{password}">Password Error</h5>
					</td>
				</tr>
				<!-- Submit button row -->
				<tr>
					<td colspan="2">
						<!-- Submit button to trigger form submission -->
						<input class="btn btn-primary" type="submit" value="Submit" />
					</td>
				</tr>
			</table>

			<br>

			<!-- Section to display validation errors for the entire form -->
			<div th:if="${#fields.hasErrors('*')}">
				<!-- Display a general error message if there are any field errors -->
				List of Errors
			</div>
			<div th:each="err : ${#fields.errors('*')}">
				<!-- Loop through and display each individual field error -->
				<span style="color: red" th:text="${err}" class="fieldError"></span>
			</div>

			<!-- Section to display authentication-related errors -->
			<div th:if="${autherror}">
				<!-- Display authentication error message if present -->
				Authentication Message
			</div>
			<span style="color: red" th:text="${autherror}" class="fieldError"></span>
		</form>
	</div>
	 
</body>

</html>
